<?xml version='1.0' encoding='utf-8'?>
<panel>

  <translation id="title" translation_id="306502" type="use" value="Player Mini Profile" />
    <layout class="arrange_vertical_attachment" alignment="top, extend" offset="0" gap="5" />
    <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" />

  <!--name-->
  <widget class="person_button" id="name" auto_size="vertical" alignment="centre_x" colour="yellow2" info_popup_enabled="false" size="11">
    <record id="object_property">
      <integer id="get_property" value="Pers" />
      <boolean id="dont_set_object" value="true" />
    </record>
  </widget>

  <!--picture/details-->
  <container>
    <layout class="arrange_horizontal_attachment" layout="-2,-1" offset="0" gap="0" />
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" layout_children="true" />

    <container>
      <layout class="arrange_vertical_attachment" layout="-180,-87" offset="0" gap="0" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

      <!-- profile picture -->
      <widget class="picture" id="prop">
        <boolean id="scale_picture" value="true" />
        <boolean id="keep_aspect_ratio" value="true" />
        <flags id="image_alignment" value="centre_x, bottom" />
      
        <attachment class="test_setting_attachment" get_setting="show_portraits" default_value="true" set_property="hidn">
          <list id="value">
            <boolean value="false" />
          </list>
        </attachment>

        <record id="object_property">
          <list id="get_properties">
            <record>
              <integer id="get_property" value="fcgn" />
              <!--Facegen data request-->
            </record>
            <record>
              <integer id="get_property" value="Pfke" />
              <!--Fake name request-->
            </record>
            <record>
              <integer id="get_property" value="prpc" />
              <integer id="set_property" value="valu" />
            </record>
          </list>
        </record>
      </widget>

      <container>
        <layout class="arrange_vertical_attachment" alignment="top" offset="5" gap="10"/>
        <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true"/>

        <!--show here match stats for the home key player-->
        <widget class="table" id="momt" layout="-1, -1" mode="fill_rows, stripe_rows" row_height="15" row_spacing="5" stretch_to_fit_rows="true">
          <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>
          <!-- row indents -->
          <list id="column_properties">
            <record index="0" alignment="left"/>
            <record index="0" alignment="right"/>
          </list>
          <list id="column_properties">
           <record indx="0" spec="text" colour="match text"/>
           <record indx="1" spec="text" colour="match text"/>
          </list>
          <list id="column_display_properties">
            <record index="0" left="4"/>
            <record index="1" right="4"/>
          </list>
        </widget>
      </container>

    </container>

  <container>
    <layout class="arrange_vertical_attachment" layout="-3,-2" offset="0" gap="0" />
    <layout class="stick_to_sides_attachment" alignment="horizontal" inset="-1" layout_children="true" />

    <container id="lftc">
      <layout class="arrange_vertical_attachment" layout="-1" offset="0" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

      <!--team badge picture-->
      <widget class="client_object_logo_picture" id="pnat" image_alignment="centre" scale_picture="true" keep_aspect_ratio="true">
        <record id="object_property">
          <integer id="get_property" value="Pctx" />
        </record>
      </widget>

    </container>

    <container id="rgtc">
      <layout class="arrange_vertical_attachment" layout="40,-1" offset="-5" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

      <!--rating-->
      <widget class="dashed_record_label" id="Prat" alignment="bottom,centre_x" spec="large,bold" colour="yellow2" size="18">
        <record id="object_property">
          <integer id="get_property" value="Prat" />
        </record>
      </widget>

      <!--rating label-->
      <widget class="label" spec="text,small" id="PraL" auto_size="vertical" colour="match text" alignment="top,centre_x">
        <record id="object_property">
          <integer id="get_property" value="Prat" />
          <boolean id="name" value="true" />
        </record>
      </widget>

    </container>
  </container>

  </container>

</panel>